This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 176956 - Shared libraries no longer known to class loader
Shared libraries no longer known to class loader
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: FC5Blocker 173278
  Show dependency treegraph
 
Reported: 2006-01-04 13:10 EST by Andrew Cagney
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.1.0-0.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-07 12:08:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Tom's test case (255 bytes, text/plain)
2006-01-04 13:14 EST, Andrew Cagney
no flags Details
Regression test case (worked on 4.0.x broken in 4.1.x) (274 bytes, text/plain)
2006-01-04 15:00 EST, Andrew Cagney
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 2105 None None None Never

  None (edit)
Description Andrew Cagney 2006-01-04 13:10:00 EST
The machine is running FC5test1 updated to 2006-01-04.

Running standalone:

cagney@tomago$ /notnfs/cagney/native/frysk-gui/frysk/gui/FryskGui
could not create widget: java.lang.NullPointerException
Exception in thread "main" java.lang.NullPointerException
   at frysk.gui.monitor.MainWindow.<init> (MainWindow.java:57)
   at frysk.gui.monitor.WindowManager.initWindows (WindowManager.java:75)
   at frysk.gui.FryskGui.<init> (FryskGui.java:118)
   at frysk.gui.FryskGui.mainGui (FryskGui.java:148)
   at frysk.gui.FryskGui.main (FryskGui.java:233)

under gdb

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208723792 (LWP 18942)]
0x0782114f in org.gnu.gtk.Widget.removePackageName(java.lang.Class) (
    klass=@79af9c0) at src/java/org/gnu/gtk/Widget.java:1249
1249            int length = klass.getPackage().getName().length();

java.lang.Class.getPackage is returning <<NULL>> which, as far as I know, can't
happen.

--

The package "org.gnu.gtk" is no longer being registered when loaded (?) and
consequently a search for it fails.

Under RHEL-4 and FC-4, the org.gnu.gtk package was being registering itself so
the above search worked.

Tom's come up with a testcase, that I'll attach.  It, however, also fails on
both FC-4/RHEL-4 and FC-5.  This suggests that there are two potential problems:
the issue identified by the testcase; and the apparent regression.
Comment 1 Andrew Cagney 2006-01-04 13:14:32 EST
Created attachment 122770 [details]
Tom's test case
Comment 2 Tom Tromey 2006-01-04 13:20:12 EST
The fix is on svn head.  I'll be checking it into the 4.1 branch shortly.
I haven't looked at 4.0.x yet.
Comment 3 Andrew Cagney 2006-01-04 13:32:24 EST
warren / jkeating asked for it to be added to FC5 blocker.
Comment 4 Andrew Cagney 2006-01-04 15:00:00 EST
Created attachment 122775 [details]
Regression test case (worked on 4.0.x broken in 4.1.x)

This version shows the regression between 4.0.x and 4.1.x (which is now fixed)
Comment 5 Jakub Jelinek 2006-01-07 12:08:58 EST
Should be fixed in gcc-4.1.0-0.13 and later.

Note You need to log in before you can comment on or make changes to this bug.